## gst-plugins-base1.0-dmo 1.18.4

=== debian/changelog ===
gst-plugins-base1.0-dmo (1.18.4-dmo1+deb11u4) bullseye; urgency=medium

  * Add upstream patches to fixes issues in subparse plugin:
    CVE-2025-47806, CVE-2025-47807, CVE-2025-47808

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Nov 2025 16:44:48 +0100

gst-plugins-base1.0-dmo (1.18.4-dmo1+deb11u3) oldstable; urgency=medium

  * Add upstream patch to fix CVE-2024-47542:
    ID3v2 parser out-of-bounds read and NULL-pointer dereference
  * Add upstream patch to fix CVE-2024-47600:
    Integer overflow leading to heap overwrite in MXF file handling with
    uncompressed video
  * Add upstream patch to fix CVE-2024-47538:
    Stack buffer-overflow in Vorbis decoder
  * Add upstream patch to fix CVE-2024-47541:
    Out-of-bounds write in SSA subtitle parser
  * Add upstream patch to fix CVE-2024-47607:
    Stack buffer-overflow in Opus decoder
  * Add upstream patch to fix CVE-2024-47615:
    Out-of-bounds write in Ogg demuxer
  * Add upstream patch to fix CVE-2024-47835:
    NULL-pointer dereference in LRC subtitle parser
  * Enable test for amd64 and arm64

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Dec 2024 11:36:11 +0100

gst-plugins-base1.0-dmo (1.18.4-dmo1+deb11u2) oldstable; urgency=medium

  * Add upstream patch to fix GStreamer-SA-2024-0002 (ZDI-CAN-23896
    CVE-2024-tbd)
    + Integer overflow in EXIF metadata parser leading to potential heap
      overwrite.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 May 2024 17:07:02 +0200

gst-plugins-base1.0-dmo (1.18.4-dmo1+deb11u1) oldstable; urgency=medium

  * Add upstream patch to fix GST-2023-0001 (ZDI-CAN-20775)
    + Heap-based buffer overflow in the FLAC parser when handling malformed
      image tags.
  * Add upstream patch to fix GST-2023-0002 (ZDI-CAN-20968)
    + Heap-based buffer overflow in the subparse subtitle parser when
      handling certain SRT subtitle files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Jul 2023 08:39:14 +0200

gst-plugins-base1.0-dmo (1.18.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Mar 2021 07:44:00 +0100

gst-plugins-base1.0-dmo (1.18.3-dmo2) unstable; urgency=medium

  * Add 'Multi-Arch: same' to libgstreamer-plugins-base1.0-dev (Thanks to
    Francois Gouget for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Mar 2021 00:04:22 +0100

gst-plugins-base1.0-dmo (1.18.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 14 Jan 2021 08:29:52 +0100

gst-plugins-base1.0-dmo (1.18.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 07 Dec 2020 13:53:39 +0100

gst-plugins-base1.0-dmo (1.18.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Oct 2020 08:57:35 +0100

gst-plugins-base1.0-dmo (1.18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Sep 2020 08:41:52 +0200

gst-plugins-base1.0-dmo (1.16.2-dmo3) unstable; urgency=medium

  * libgstreamer-plugins-base1.0-dev should Depends on libx11-xcb-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Jan 2020 16:25:01 +0100

gst-plugins-base1.0-dmo (1.16.2-dmo2) unstable; urgency=medium

  * Update Build-Depends/Depends -dev package mesa to new name.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Dec 2019 11:47:29 +0100

gst-plugins-base1.0-dmo (1.16.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Dec 2019 09:17:34 +0100

gst-plugins-base1.0-dmo (1.16.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2019 07:28:12 +0200

gst-plugins-base1.0-dmo (1.16.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Jul 2019 15:58:42 +0200

gst-plugins-base1.0-dmo (1.14.4-dmo2) unstable; urgency=medium

  * Add upstream patch to fix CVE-2019-9928 (Buffer overflow in RTSP
    parsing).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 26 Apr 2019 09:32:05 +0200

gst-plugins-base1.0-dmo (1.14.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Oct 2018 08:46:33 +0200

gst-plugins-base1.0-dmo (1.14.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Sep 2018 23:03:24 +0200

gst-plugins-base1.0-dmo (1.14.2-dmo2) unstable; urgency=medium

  * Install *.typelib files in multi-arch path.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Sep 2018 15:41:42 +0200

gst-plugins-base1.0-dmo (1.14.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Jul 2018 19:34:54 +0200

gst-plugins-base1.0-dmo (1.14.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 May 2018 08:22:19 +0200

gst-plugins-base1.0-dmo (1.14.0-dmo2) unstable; urgency=medium

  * Fix dh call for gir packages (Thanks to Adrian Bunk for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 Apr 2018 17:31:37 +0200

gst-plugins-base1.0-dmo (1.14.0-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Mar 2018 09:21:32 +0200

gst-plugins-base1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 09:51:09 +0200

gst-plugins-base1.0 (1.13.91-1) experimental; urgency=medium

  * debian/control.in:

