=== debian/control ===
Source: gst-plugins-base1.0-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-base.html
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), dh-sequence-gir, meson, quilt,
 pkg-config, libxv-dev, libxt-dev, libvorbis-dev, libcdparanoia-dev,
 liborc-0.4-dev, libpango1.0-dev, libtheora-dev, libglib2.0-dev, zlib1g-dev,
 libvisual-0.4-dev, iso-codes, libgirepository1.0-dev, gir1.2-glib-2.0,
 gir1.2-freedesktop, libopus-dev, gir1.2-gstreamer-1.0, zlib1g-dev,
 libgl-dev, libegl-dev, libgles-dev, libpng-dev, libvorbisidec-dev,
 libjpeg-dev, libgbm-dev, libx11-xcb-dev, libgstreamer1.0-dev (>= 1.18.0~),
 libasound2-dev, libgudev-1.0-dev, libwayland-dev, libdrm-dev, libxi-dev,
 wayland-protocols, libcdparanoia-dev, xvfb [amd64 arm64],
 xauth [amd64 arm64],

# Only needed to build examples
# libgtk-3-dev

Package: gstreamer1.0-plugins-base-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, gstreamer1.0-tools
Description: GStreamer helper programs from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains helper programs from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, iso-codes
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1:1.16.0)
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1:1.16.0)
Recommends: gstreamer1.0-plugins-base
Suggests: libvisual-0.4-plugins
Description: GStreamer libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains libraries from the "base" set, an essential exemplary
 set of elements.

Package: libgstreamer-plugins-base1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (= ${binary:Version}), libgstreamer-gl1.0-0 (= ${binary:Version}),
 libc6-dev | libc-dev, pkg-config, libgstreamer1.0-dev (>= 1.16.0), libglib2.0-dev, liborc-0.4-dev (>= 1:0.4.24), libgl-dev,
 libegl-dev, libgles-dev, libx11-xcb-dev, gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
Breaks: libgstreamer-plugins-bad1.0-dev (<< 1:1.16.0)
Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1:1.16.0)
Description: GStreamer development files for libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains development files for GStreamer libraries from the
 "base" set, an essential exemplary set of elements.

Package: libgstreamer-gl1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gstreamer1.0-gl
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1:1.16.0)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1:1.16.0)
Description: GStreamer GL libraries
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains the GL library.

Package: gstreamer1.0-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
Suggests: alsa-utils (>= 0.9.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for ALSA
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains the GStreamer plugin for the ALSA library. ALSA is
 the Advanced Linux Sound Architecture.

Package: gstreamer1.0-plugins-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
Breaks: gstreamer1.0-plugins-bad (<< 1:1.16.0)
Replaces: gstreamer1.0-plugins-bad (<< 1:1.16.0)
Suggests: gvfs
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer1.0-x
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins for X11 and Pango
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains the GStreamer plugins for X11 video output, both for
 standard Xlib support and for the Xv extension, as well as the plugin for
 Pango-based text rendering and overlay.

Package: gstreamer1.0-gl
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0), libgstreamer-gl1.0-0 (>= 1.16.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Breaks: gstreamer1.0-plugins-bad (<< 1:1.16.0)
Replaces: gstreamer1.0-plugins-bad (<< 1:1.16.0)
Description: GStreamer plugins for GL
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 This package contains the GStreamer plugins for GL.

Package: gir1.2-gst-plugins-base-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for the GStreamer Plugins Base library
 This package contains introspection data for the GStreamer Plugins Base
 library.
 .
 GStreamer is a streaming media framework, based on graphs of filters which
 operate on media data. Applications using this library can do anything
 from real-time sound processing to playing videos, and just about anything
 else media-related. Its plugin-based architecture means that new data
 types or processing capabilities can be added simply by installing new
 plug-ins.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
