=== debian/watch ===
version=4

opts="uversionmangle=s/1\.23.*//,pgpmode=auto" \
https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-(.*)@ARCHIVE_EXT@
