## gst-plugins-base1.0-dmo 1.22.3

=== debian/changelog ===
gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u6) bookworm; urgency=medium

  * Add upstream patch to fix CVE-2025-47806:
    A stack buffer overflow in the SubRip subtitle parser that can cause
    crashes for certain input files.
  * Add upstream patch to fix CVE-2025-47807:
    A NULL-pointer dereference in the SubRip subtitle parser that can cause
    crashes for certain input files.
  * Add upstream patch to fix CVE-2025-47808:
    A NULL-pointer dereference in the TMPlayer subtitle parser that can
    cause crashes for certain input files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Aug 2025 15:23:56 +0200

gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u5) stable; urgency=medium

  * Enable tests for amd64 and arm64 arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Dec 2024 11:42:57 +0100

gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u4) stable; urgency=medium

  * Add upstream patch to fix CVE-2024-47542:
    ID3v2 parser out-of-bounds read and NULL-pointer dereference
  * Add upstream patch to fix CVE-2024-47600:
    Integer overflow leading to heap overwrite in MXF file handling with
    uncompressed video
  * Add upstream patch to fix CVE-2024-47538:
    Stack buffer-overflow in Vorbis decoder
  * Add upstream patch to fix CVE-2024-47541:
    Out-of-bounds write in SSA subtitle parser
  * Add upstream patch to fix CVE-2024-47607:
    Stack buffer-overflow in Opus decoder
  * Add upstream patch to fix CVE-2024-47615:
    Out-of-bounds write in Ogg demuxer
  * Add upstream patch to fix CVE-2024-47835:
    NULL-pointer dereference in LRC subtitle parser

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Dec 2024 09:46:23 +0100

gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u3) stable; urgency=medium

  * Add upstream patch to fix GStreamer-SA-2024-0002 (ZDI-CAN-23896
    CVE-2024-tbd)
    + Integer overflow in EXIF metadata parser leading to potential heap
      overwrite.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Apr 2024 08:43:18 +0200

gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u2) stable; urgency=medium

  * Add also patch to fix GST-2023-0001 (ZDI-CAN-20775)
    + Heap-based buffer overflow in the FLAC parser when handling malformed
      image tags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jul 2023 16:38:50 +0200

gst-plugins-base1.0-dmo (1.22.3-dmo1+deb12u1) stable; urgency=medium

  * Add upstream patch to fix GST-2023-0002 (ZDI-CAN-20968)
    + Heap-based buffer overflow in the subparse subtitle parser when
      handling certain SRT subtitle files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jul 2023 16:11:32 +0200

gst-plugins-base1.0-dmo (1.22.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 May 2023 15:36:50 +0200

gst-plugins-base1.0-dmo (1.22.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Apr 2023 07:47:05 +0200

gst-plugins-base1.0-dmo (1.22.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Mar 2023 17:19:56 +0100

gst-plugins-base1.0-dmo (1.22.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Jan 2023 01:14:26 +0100

gst-plugins-base1.0-dmo (1.20.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 11:41:57 +0100

gst-plugins-base1.0-dmo (1.20.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Oct 2022 01:17:22 +0200

gst-plugins-base1.0-dmo (1.20.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jun 2022 08:01:49 +0200

gst-plugins-base1.0-dmo (1.20.2-dmo2) unstable; urgency=medium

  * Fix regression in parsebin.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 May 2022 13:13:42 +0200

gst-plugins-base1.0-dmo (1.20.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 May 2022 08:15:16 +0200

gst-plugins-base1.0-dmo (1.20.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Mar 2022 18:10:08 +0100

gst-plugins-base1.0-dmo (1.20.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Feb 2022 14:55:27 +0100

gst-plugins-base1.0-dmo (1.18.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Feb 2022 23:19:40 +0100

gst-plugins-base1.0-dmo (1.18.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Sep 2021 07:52:17 +0200
