=== debian/control ===
--- 
+++ 
@@ -3,21 +3,24 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-base.html
-Standards-Version: 4.5.1
+Homepage: https://gstreamer.freedesktop.org/modules/gst-plugins-base.html
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-gir, meson, quilt,
- pkg-config, libxv-dev, libxt-dev, libvorbis-dev, libcdparanoia-dev,
+ pkgconf, libxv-dev, libxt-dev, libvorbis-dev, libcdparanoia-dev,
  liborc-0.4-dev, libpango1.0-dev, libtheora-dev, libglib2.0-dev, zlib1g-dev,
  libvisual-0.4-dev, iso-codes, libgirepository1.0-dev, gir1.2-glib-2.0,
  gir1.2-freedesktop, libopus-dev, gir1.2-gstreamer-1.0, zlib1g-dev,
  libgl-dev, libegl-dev, libgles-dev, libpng-dev, libvorbisidec-dev,
- libjpeg-dev, libgbm-dev, libx11-xcb-dev, libgstreamer1.0-dev (>= 1.18.0~),
+ libjpeg-dev, libgbm-dev, libx11-xcb-dev, libgstreamer1.0-dev (>= 1.22~),
  libasound2-dev, libgudev-1.0-dev, libwayland-dev, libdrm-dev, libxi-dev,
- wayland-protocols, libcdparanoia-dev, xvfb [amd64 arm64],
+ wayland-protocols, libgraphene-1.0-dev, xvfb [amd64 arm64],
  xauth [amd64 arm64],
 
 # Only needed to build examples
-# libgtk-3-dev
+#, libgdk-pixbuf-2.0-dev, libgtk-3-dev
+# libsdl2-dev, qtbase5-dev, qttools5-dev-tools, libqt5opengl5-dev,
+# libqt5x11extras5-dev
 
 Package: gstreamer1.0-plugins-base-apps
 Architecture: any
@@ -37,7 +40,6 @@
 Package: libgstreamer-plugins-base1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, iso-codes
 Breaks: libgstreamer-plugins-bad1.0-0 (<< 1:1.16.0)
@@ -60,7 +62,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (= ${binary:Version}), libgstreamer-gl1.0-0 (= ${binary:Version}),
- libc6-dev | libc-dev, pkg-config, libgstreamer1.0-dev (>= 1.16.0), libglib2.0-dev, liborc-0.4-dev (>= 1:0.4.24), libgl-dev,
+ libc6-dev | libc-dev, pkgconf, libgstreamer1.0-dev (>= 1.16.0), libglib2.0-dev, liborc-0.4-dev (>= 1:0.4.24), libgl-dev,
  libegl-dev, libgles-dev, libx11-xcb-dev, gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
 Breaks: libgstreamer-plugins-bad1.0-dev (<< 1:1.16.0)
 Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1:1.16.0)
@@ -78,7 +80,6 @@
 Package: libgstreamer-gl1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gstreamer1.0-gl
@@ -97,7 +98,6 @@
 Package: gstreamer1.0-alsa
 Architecture: linux-any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
@@ -121,7 +121,6 @@
 Package: gstreamer1.0-plugins-base
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1:1.16.0)
 Replaces: gstreamer1.0-plugins-bad (<< 1:1.16.0)
@@ -147,7 +146,6 @@
 Package: gstreamer1.0-x
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -171,7 +169,6 @@
 Package: gstreamer1.0-gl
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgstreamer-plugins-base1.0-0 (>= 1.16.0), libgstreamer-gl1.0-0 (>= 1.16.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -193,8 +190,8 @@
  This package contains the GStreamer plugins for GL.
 
 Package: gir1.2-gst-plugins-base-1.0
+Architecture: any
 Section: introspection
-Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the GStreamer Plugins Base library
